CentOS 4 / 5 : firefox (CESA-2007:0724)

High Nessus Plugin ID 25741

Synopsis

The remote CentOS host is missing one or more security updates.

Description

Updated firefox packages that fix several security bugs are now available for Red Hat Enterprise Linux 4 and 5.

This update has been rated as having critical security impact by the Red Hat Security Response Team.

Mozilla Firefox is an open source Web browser.

Several flaws were found in the way Firefox processed certain malformed JavaScript code. A web page containing malicious JavaScript code could cause Firefox to crash or potentially execute arbitrary code as the user running Firefox. (CVE-2007-3734, CVE-2007-3735, CVE-2007-3737, CVE-2007-3738)

Several content injection flaws were found in the way Firefox handled certain JavaScript code. A web page containing malicious JavaScript code could inject arbitrary content into other web pages.
(CVE-2007-3736, CVE-2007-3089)

A flaw was found in the way Firefox cached web pages on the local disk. A malicious web page may be able to inject arbitrary HTML into a browsing session if the user reloads a targeted site. (CVE-2007-3656)

Users of Firefox are advised to upgrade to these erratum packages, which contain backported patches that correct these issues.

Solution

Update the affected firefox packages.

See Also

http://www.nessus.org/u?2c451ff7

http://www.nessus.org/u?f58beb05

http://www.nessus.org/u?433636bc

http://www.nessus.org/u?97cbf494

http://www.nessus.org/u?80bf359b

Plugin Details

Severity: High

ID: 25741

File Name: centos_RHSA-2007-0724.nasl

Version: 1.19

Type: local

Agent: unix

Published: 2007/07/23

Updated: 2019/10/03

Dependencies: 12634

Risk Information

Risk Factor: High

CVSS v2.0

Base Score: 9.3

Temporal Score: 6.9

Vector: CVSS2#AV:N/AC:M/Au:N/C:C/I:C/A:C

Temporal Vector: CVSS2#E:U/RL:OF/RC:C

Vulnerability Information

CPE: p-cpe:/a:centos:centos:firefox, p-cpe:/a:centos:centos:firefox-devel, cpe:/o:centos:centos:4, cpe:/o:centos:centos:5

Required KB Items: Host/local_checks_enabled, Host/CentOS/release, Host/CentOS/rpm-list

Exploit Available: false

Exploit Ease: No known exploits are available

Patch Publication Date: 2007/07/20

Vulnerability Publication Date: 2007/06/06

Reference Information

CVE: CVE-2007-3089, CVE-2007-3656, CVE-2007-3734, CVE-2007-3735, CVE-2007-3736, CVE-2007-3737, CVE-2007-3738

BID: 24286, 24831, 24946

RHSA: 2007:0724

CWE: 200